﻿using LuxSciWebApiWrapper.Models;
using System.Configuration;
using System.Threading.Tasks;

namespace LuxSciWebApiWrapper.LuxApiHttpClient
{
    public class AccountHttpClient : LuxApiHttpClient
    {
        public AccountHttpClient() : base()
        {
            requestPath = ConfigurationManager.AppSettings["AccountPath"];
        }

        //Get account profile
        public async Task<LuxSciResponse> GetProfile(string path, string authenticationCode, string hmacSignature)
        {
            requestPath = path;
            GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature));
            return await GetDataAsync();

        }

        //Create Alias
        public async Task<LuxSciResponse> CreateAlias(string path, string authenticationCode, string hmacSignature, AliasRequest  alias)
        {
            requestPath = path;
            GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature));
            return await PostAsJsonAsync(alias);

        }

        //Get email send report
        public async Task<LuxSciResponse> GetEmailSentReport(string path, string authenticationCode, string hmacSignature)
        {
            requestPath = path;
            GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature));
            return await GetDataAsync();

        }
    }
}
