﻿using Newtonsoft.Json;

namespace LuxSciWebApiWrapper.Models
{
    // class to hold Email Request
    [JsonObject]
    public partial class EmailRequest
    {
        [JsonProperty("attachments")] public Attachment[] Attachments { get; set; }

        [JsonProperty("from_address")] public string FromAddress { get; set; }

        [JsonProperty("subject")] public string Subject { get; set; }

        [JsonProperty("no_tls_only")] public long NoTlsOnly { get; set; }

        [JsonProperty("body")] public string Body { get; set; }

        [JsonProperty("to")] public string[] To { get; set; }

        [JsonProperty("from_name")] public string FromName { get; set; }

        [JsonProperty("receipt")] public long Receipt { get; set; }

        [JsonProperty("body_type")] public string BodyType { get; set; } // must be "text" or "html"
    }

    [JsonObject]
    public partial class Attachment
    {
        [JsonProperty("hash")]
        public string Hash { get; set; }

        [JsonProperty("name")]
        public string Name { get; set; }
    }
}
